# Uses of Enum Class
org.apache.sling.commons.log.logback.store.LogLevel

Packages that use LogLevel
Package
Description
org.apache.sling.commons.log.logback.internal.store
org.apache.sling.commons.log.logback.store
Provides programatic access to logging events

## Uses of LogLevel in org.apache.sling.commons.log.logback.internal.store

Methods in org.apache.sling.commons.log.logback.internal.store with parameters of type LogLevel
Modifier and Type
Method
Description
`List<LogEntry>`
LogStoreImpl.`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`

## Uses of LogLevel in org.apache.sling.commons.log.logback.store

Methods in org.apache.sling.commons.log.logback.store that return LogLevel
Modifier and Type
Method
Description
`LogLevel`
LogEntry.`level()`
Returns the value of the `level` record component.
`static LogLevel`
LogLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogLevel[]`
LogLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sling.commons.log.logback.store with parameters of type LogLevel
Modifier and Type
Method
Description
`List<LogEntry>`
LogStore.`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`
Returns a list of `LogEntrie`s matching the specified parameters
Constructors in org.apache.sling.commons.log.logback.store with parameters of type LogLevel
Modifier
Constructor
Description
``
`LogEntry(long timeMillis, LogLevel level, String loggerName, String threadName, String formattedMessage, String throwableClassName, String throwableMessage, String throwableText, Map<String,String> mdc)`
Creates an instance of a `LogEntry` record class.
``
`LogEntry(long timeMillis, LogLevel level, String loggerName, String threadName, String formattedMessage, String throwableText, Map<String,String> mdc)`
Backwards-compatible constructor without the structured throwable fields.